CVE-2018-3183

critical
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Vulnerability in the Java SE, Java SE Embedded, JRockit component of Oracle Java SE (subcomponent: Scripting). Supported versions that are affected are Java SE: 8u182 and 11; Java SE Embedded: 8u181; JRockit: R28.3.19. Difficult to exploit vulnerability allows unauthenticated attacker with network access via multiple protocols to compromise Java SE, Java SE Embedded, JRockit. While the vulnerability is in Java SE, Java SE Embedded, JRockit, attacks may significantly impact additional products. Successful attacks of this vulnerability can result in takeover of Java SE, Java SE Embedded, JRockit. Note: This vulnerability applies to Java deployments, typically in clients running sandboxed Java Web Start applications or sandboxed Java applets (in Java SE 8), that load and run untrusted code (e.g. code that comes from the internet) and rely on the Java sandbox for security. This vulnerability can also be exploited by using APIs in the specified Component, e.g. through a web service which supplies data to the APIs. CVSS 3.0 Base Score 9.0 (Confidentiality, Integrity and Availability impacts). CVSS Vector: (CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:C/C:H/I:H/A:H).

References

http://www.oracle.com/technetwork/security-advisory/cpuoct2018-4428296.html

http://www.securityfocus.com/bid/105622

http://www.securitytracker.com/id/1041889

https://access.redhat.com/errata/RHSA-2018:2942

https://access.redhat.com/errata/RHSA-2018:2943

https://access.redhat.com/errata/RHSA-2018:3002

https://access.redhat.com/errata/RHSA-2018:3003

https://access.redhat.com/errata/RHSA-2018:3521

https://access.redhat.com/errata/RHSA-2018:3533

https://access.redhat.com/errata/RHSA-2018:3534

https://access.redhat.com/errata/RHSA-2018:3852

https://security.gentoo.org/glsa/201908-10

https://security.netapp.com/advisory/ntap-20181018-0001/

https://support.hpe.com/hpsc/doc/public/display?docLocale=en_US&docId=emr_na-hpesbst03952en_us

https://usn.ubuntu.com/3804-1/

https://www.debian.org/security/2018/dsa-4326

Details

Source: MITRE

Published: 2018-10-17

Updated: 2020-09-08

Risk Information

CVSS v2

Base Score: 6.8

Vector: AV:N/AC:M/Au:N/C:P/I:P/A:P

Impact Score: 6.4

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 9

Vector: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:C/C:H/I:H/A:H

Impact Score: 6

Exploitability Score: 2.2

Severity: CRITICAL

Tenable Plugins

View all (44 total)

IDNameProductFamilySeverity
136109Photon OS 1.0: Openjdk11 PHSA-2020-1.0-0290NessusPhotonOS Local Security Checks
critical
136100Photon OS 3.0: Openjdk11 PHSA-2020-3.0-0084NessusPhotonOS Local Security Checks
critical
127959GLSA-201908-10 : Oracle JDK/JRE: Multiple vulnerabilitiesNessusGentoo Local Security Checks
critical
127414NewStart CGSL MAIN 4.05 : java-1.8.0-openjdk Multiple Vulnerabilities (NS-SA-2019-0146)NessusNewStart CGSL Local Security Checks
critical
127205NewStart CGSL CORE 5.04 / MAIN 5.04 : java-1.8.0-openjdk Multiple Vulnerabilities (NS-SA-2019-0035)NessusNewStart CGSL Local Security Checks
critical
700659Oracle Java SE 6 < Update 211 / 7 < Update 201 / 8 < Update 191 / 11 < Update 1 Multiple Vulnerabilities (October 2018 CPU)Nessus Network MonitorWeb Clients
medium
123345openSUSE Security Update : java-11-openjdk (openSUSE-2019-818)NessusSuSE Local Security Checks
critical
122001Photon OS 2.0: Openjdk8 PHSA-2018-2.0-0106NessusPhotonOS Local Security Checks
critical
121892Photon OS 1.0: Openjdk PHSA-2018-1.0-0192NessusPhotonOS Local Security Checks
critical
121152openSUSE Security Update : java-1_8_0-openjdk (openSUSE-2019-43)NessusSuSE Local Security Checks
critical
121092SUSE SLED15 / SLES15 Security Update : java-1_8_0-openjdk (SUSE-SU-2019:0058-1)NessusSuSE Local Security Checks
critical
121091SUSE SLED12 / SLES12 Security Update : java-1_8_0-openjdk (SUSE-SU-2019:0057-1)NessusSuSE Local Security Checks
critical
120167SUSE SLES15 Security Update : java-1_8_0-ibm (SUSE-SU-2018:3868-1)NessusSuSE Local Security Checks
critical
119905EulerOS 2.0 SP2 : java-1.8.0-openjdk (EulerOS-SA-2018-1416)NessusHuawei Local Security Checks
critical
119801RHEL 6 : java-1.8.0-ibm (RHSA-2018:3852)NessusRed Hat Local Security Checks
critical
119578SUSE SLES12 Security Update : java-1_8_0-ibm (SUSE-SU-2018:4064-1)NessusSuSE Local Security Checks
critical
119514EulerOS 2.0 SP3 : java-1.8.0-openjdk (EulerOS-SA-2018-1386)NessusHuawei Local Security Checks
critical
119209Scientific Linux Security Update : java-11-openjdk on SL7.x x86_64 (20181107)NessusScientific Linux Local Security Checks
critical
119089Virtuozzo 6 : java-1.8.0-openjdk / java-1.8.0-openjdk-debug / etc (VZLSA-2018-2943)NessusVirtuozzo Local Security Checks
critical
119088Virtuozzo 7 : java-1.8.0-openjdk / etc (VZLSA-2018-2942)NessusVirtuozzo Local Security Checks
critical
119048CentOS 7 : java-11-openjdk (CESA-2018:3521)NessusCentOS Local Security Checks
critical
118865RHEL 7 : java-1.8.0-ibm (RHSA-2018:3534)NessusRed Hat Local Security Checks
critical
118864RHEL 6 : java-1.8.0-ibm (RHSA-2018:3533)NessusRed Hat Local Security Checks
critical
118849Oracle Linux 7 : java-11-openjdk (ELSA-2018-3521)NessusOracle Linux Local Security Checks
critical
118815RHEL 7 : java-11-openjdk (RHSA-2018:3521)NessusRed Hat Local Security Checks
critical
118802Amazon Linux AMI : java-1.8.0-openjdk (ALAS-2018-1097)NessusAmazon Linux Local Security Checks
critical
118572Oracle JRockit JDK R28.3.19 Multiple Vulnerabilities (October 2018 CPU)NessusWindows
critical
118568Ubuntu 16.04 LTS / 18.04 LTS / 18.10 : OpenJDK vulnerabilities (USN-3804-1)NessusUbuntu Local Security Checks
critical
118494Photon OS 1.0: Openjdk PHSA-2018-1.0-0192 (deprecated)NessusPhotonOS Local Security Checks
critical
118472Debian DSA-4326-1 : openjdk-8 - security updateNessusDebian Local Security Checks
critical
118404Amazon Linux 2 : java-1.8.0-openjdk (ALAS-2018-1097)NessusAmazon Linux Local Security Checks
critical
118372RHEL 6 : java-1.8.0-oracle (RHSA-2018:3003)NessusRed Hat Local Security Checks
critical
118371RHEL 7 : java-1.8.0-oracle (RHSA-2018:3002)NessusRed Hat Local Security Checks
critical
118312CentOS 6 : java-1.8.0-openjdk (CESA-2018:2943)NessusCentOS Local Security Checks
critical
118311CentOS 7 : java-1.8.0-openjdk (CESA-2018:2942)NessusCentOS Local Security Checks
critical
118228Oracle Java SE Multiple Vulnerabilities (October 2018 CPU)NessusWindows
critical
118227Oracle Java SE Multiple Vulnerabilities (October 2018 CPU) (Unix)NessusMisc.
critical
118221openSUSE Security Update : java-11-openjdk (openSUSE-2018-1205)NessusSuSE Local Security Checks
critical
118218Scientific Linux Security Update : java-1.8.0-openjdk on SL7.x x86_64 (20181018)NessusScientific Linux Local Security Checks
critical
118217Scientific Linux Security Update : java-1.8.0-openjdk on SL6.x i386/x86_64 (20181018)NessusScientific Linux Local Security Checks
critical
118187RHEL 6 : java-1.8.0-openjdk (RHSA-2018:2943)NessusRed Hat Local Security Checks
critical
118186RHEL 7 : java-1.8.0-openjdk (RHSA-2018:2942)NessusRed Hat Local Security Checks
critical
118184Oracle Linux 6 : java-1.8.0-openjdk (ELSA-2018-2943)NessusOracle Linux Local Security Checks
critical
118183Oracle Linux 7 : java-1.8.0-openjdk (ELSA-2018-2942)NessusOracle Linux Local Security Checks
critical